<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/templates/template.xhtml">


        <ui:define name="body">
            <f:loadBundle basename="org.inra.ecoinfo.foret.extraction.jsf.template-jsf" var="template"/>
            <f:loadBundle basename="org.inra.ecoinfo.foret.extraction.climatsol.jsf.extraction-climatsol-jsf" var="extractionCSPanel"/>
            <h:outputStylesheet>


                h2{
                overflow: hidden;
                width: 100%;
                }

                p{
                text-indent: 15px;
                }

                p.intro{
                font-family: Arial, Verdana,sans-serif;
                font-size: 11px;
                }


                .barNavigationSteps{
                float:right;
                }



                .titleStep{
                float:left;
                }

                .subcontainer{
                }

                .stepCurrent{
                font-weight: bold;
                font-size: 1.2em;
                }

                .disabled{
                opacity: 0.5;
                filter:alpha(opacity=50);
                cursor: default;
                }


                .subcontainer{
                overflow: hidden;
                position: relative;
                }

                .subcontainer .left{
                float: left;
                width: 68%;
                }

                .subcontainer .right{
                float: right;
                width: 29%;
                margin-top: 20px;
                }


                .selectionEmpty{
                font-weight: bold;
                color: red;
                font-family: Arial, Verdana, sans-serif;
                font-size: 13px;
                }

                .headerParametersRequest img{
                float:right;
                }

                img.buttonAction{
                cursor: pointer;
                margin-left: 5px;
                }

                .buttonsSteps{
                overflow: hidden;

                }

                .buttonStepNext, .buttonStepPrev{
                padding: 5px 5px 5px 5px;
                font-weight: bold;
                }

                .buttonStepNext, .buttonActionParametersRequest{

                float: right;
                }			

                .buttonStepPrev{
                float: left;
                margin-right: 5px;
                }

                .currentStep {
                font-size: 1.5em;
                margin-left: 10px;
                }

                .subcontainer .panelControlsLaunch{
                padding: 5px 5px 5px 5px;
                position: absolute;
                left: 30%;
                top: 0px;
                }

                .subcontainer  .panelControlsLaunch .control, .subcontainer  .panelControlsLaunch .control a{
                font-size: 15px; 
                }


                .panelControls {
                border: 2px solid #96B7D6;
                background-color: #ECF3FE;
                padding: 0px 0px 0px 0px;
                float:right;
                margin-top: 7px;
                margin-bottom: 15px;
                }


                .panelControls .control img{
                float:left;
                margin-right: 3px;
                height: 16px;
                }

                .panelControls .control{
                color: black;
                font-weight: bold;
                font-size: 11px;
                font-family: Arial, Verdana, sans-serif;
                text-transform: capitalize;	
                }

                .panelControls .control a{
                color: black;
                font-weight: bold;
                text-decoration: none;
                }

                .launchWrapper{
                position:relative;
                height: 50px;
                }

                .buttonPopupExtraction{	
                float:right;
                margin-top: 5px;
                padding: 3px 3px 3px 3px;
                font-weight: bold;
                }	

                .popupCommentExtraction{
                width: 400px;
                overflow: hidden;
                }

                .popupCommentExtraction textarea{
                width: 100%;
                }

            </h:outputStylesheet>
            <h:form>
                <p:remoteCommand name="updateCommentExtraction"
                                 action="#{uiBean.extract}" update="@none"
                                 onstart="PF('popupCommentExtraction').hide()">
                </p:remoteCommand>
            </h:form>

            <p:dialog id="popupCommentExtraction" widgetVar="popupCommentExtraction" appendTo="@(body)"
                      modal="true">
                <f:facet name="header">
                    <h:outputText escape="false"
                                  value="#{template.MSG_COMMENT_TITLE_DIALOG}" />
                </f:facet>
                <f:facet name="controls">
                    <p:graphicImage name="images/close.png"
                                    styleClass="logout"
                                    onclick="PF('popupCommentExtraction').hide();
                                            return false;" />
                </f:facet>

                <h:form>
                    <h:panelGroup layout="block" styleClass="popupCommentExtraction">
                        <h:outputText
                            value="#{template.MSG_COMMENT_EXTRACTION}"
                            styleClass="intro" />
                        <br />
                        <p:inputTextarea id="textAreaCommentExtraction" 
                                         value="#{uiBean.collector.commentExtraction}" />
                        <br />
                        <p:commandButton
                            value="#{template.MSG_EXTRACTION_EXECUTION}" update="@none"
                            styleClass="buttonPopupExtraction" process="@none"
                            onclick="updateCommentExtraction()" />
                    </h:panelGroup>
                </h:form>
            </p:dialog>
            <p:layout styleClass="subcontainer" id="subcontainerExtraction" widgetVar="subcontainerExtraction" >
                <p:layoutUnit position="north">
                    <h:form id="subContainerNorth">
                        <h1>
                            <h:panelGroup styleClass="navigation">
                                <h:panelGroup styleClass="navigationItem">
                                    <p:graphicImage name="images/home.png" />
                                    <h:outputLink value="index.jsf">#{template.MSG_TITLE_PART1}</h:outputLink>
                                </h:panelGroup>
                                <h:panelGroup styleClass="navigationItem">#{template.MSG_TITLE_PART2}</h:panelGroup>
                            </h:panelGroup>
                            <h:panelGroup styleClass="title">
                                <p:graphicImage name="images/download.png" />
                                <h:outputText value="#{titleExtraction}" />
                            </h:panelGroup>
                        </h1>
                        <p:accordionPanel activeIndex="-1" 
                                          styleClass="help-panel">
                            <p:tab  >
                                <f:facet name="title">
                                    <p class="intro-main">
                                        <h:outputText
                                            value="#{title}"
                                            escape="false" />
                                    </p>
                                </f:facet>
                                <p class="intro-main">
                                    <p class="intro-main">
                                        <h:outputText
                                            value="#{introMain}"
                                            escape="false" />
                                    </p>
                                </p>
                            </p:tab>
                        </p:accordionPanel>
                    </h:form>
                </p:layoutUnit>
                <p:layoutUnit position="center" resizable="true" collapsible="true" styleClass="left">
                    <h:form id="subContainerWest">
                        <h:panelGroup id="navigationSteps">
                            <h2>
                                <p:commandButton id="prevStepButton" 
                                                 value="&lt;&lt; #{extractioninterface.PROPERTY_MSG_PREV_STEP}"
                                                 styleClass="buttonStepPrev" action="#{uiBean.prevStep}"
                                                 rendered="#{uiBean.step>1}"
                                                 update="#{p:component('parametersRequest')}, #{p:component('workspace')},#{p:component('navigationSteps')}">
                                </p:commandButton>
                                <h:panelGroup styleClass="titleStep">
                                    <h:outputText value="#{template.MSG_STEP} #{uiBean.titleForStep}" />
                                    <h:panelGroup id="validImage">
                                        <p:graphicImage name="images/accepted.png"
                                                        rendered="#{uiBean.isStepValid}" />
                                    </h:panelGroup>
                                </h:panelGroup>
                                <p:commandButton id="nextStepButton"
                                                 value="#{extractioninterface.PROPERTY_MSG_NEXT_STEP} >>" 
                                                 styleClass="buttonStepNext"
                                                 action="#{uiBean.nextStep}"
                                                 update="#{p:component('parametersRequest')}, #{p:component('workspace')},#{p:component('navigationSteps')}"
                                                 disabled="#{uibean.step>=4  or not uiBean.isStepValid }">
                                </p:commandButton>
                            </h2>
                        </h:panelGroup>
                        <p:wizard id="workspace"  flowListener="#{uiBean.onFlowProcess}" binding="#{uiBean.wizard}"
                                  showNavBar="false">
                            <ui:insert name="togglePanelItems" />

                        </p:wizard>
                    </h:form>
                </p:layoutUnit>
                <p:layoutUnit  position="east" resizable="true" collapsible="true"  styleClass="right" size="400">
                    <h:form id="subContainerCenter">
                        <h:panelGroup layout="block" id="parametersRequest">

                            <p:accordionPanel id="parametersRequestSteps"
                                              binding="#{uiBean.accordion}">
                                <ui:insert name="accordionItems" />
                            </p:accordionPanel>

                            <h:panelGroup
                                styleClass="panelControlsWrapper launchWrapper #{not uiBean.formValid ? 'disabled': ''}"
                                layout="block">
                                <h:panelGroup styleClass="panelControls panelControlsLaunch">
                                    <h:panelGroup styleClass="control">
                                        <p:commandLink
                                            oncomplete="PF('popupCommentExtraction').show();"
                                            process="@none"
                                            update="popupCommentExtraction"
                                            disabled="#{not uiBean.formIsValid}">
                                            <p:graphicImage value="#{resource['images/check.png']}" />
                                            <h:outputText value="#{template.MSG_EXTRACTION_EXECUTION}" />
                                        </p:commandLink>
                                    </h:panelGroup>
                                </h:panelGroup>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:form>
                </p:layoutUnit>
            </p:layout>
        </ui:define>
    </ui:composition>
</html>